Debian Bug report logs - #161985
drscheme_202.3-1(powerpc/unstable): FTBFS

version graph

Package: drscheme; Maintainer for drscheme is (unknown);

Reported by: rmurray@cyberhqz.com (Ryan Murray)

Date: Mon, 23 Sep 2002 05:18:01 UTC

Severity: serious

Found in version 202.3-1

Fixed in version drscheme/202.3-2

Done: bfulgham@debian.org (Brent A. Fulgham)

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, bfulgham@debian.org (Brent A. Fulgham), drscheme@packages.qa.debian.org:
Bug#161985; Package drscheme. Full text and rfc822 format available.

Acknowledgement sent to rmurray@cyberhqz.com (Ryan Murray):
New Bug report received and forwarded. Copy sent to bfulgham@debian.org (Brent A. Fulgham), drscheme@packages.qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: rmurray@cyberhqz.com (Ryan Murray)
To: submit@bugs.debian.org
Subject: drscheme_202.3-1(powerpc/unstable): FTBFS
Date: Sun, 22 Sep 2002 22:07:50 -0700
Package: drscheme
Version: 202.3-1
Severity: serious

There was an error while trying to autobuild your package:

> Automatic build of drscheme_202.3-1 on voltaire by sbuild/powerpc 1.169
> Build started at 20020920-0133

[...]

> ** Using build dependencies supplied by package:
> Build-Depends: perl5, debhelper, debconf-utils, xlibs-dev, libreadline4-dev, libgl-dev, libxaw7-dev, libiodbc2-dev

[...]

> g++ -L/usr/X11R6/lib -L/usr/X11R6/lib   -o mred mrmain.o ../mzscheme/libmzscheme.a ../mzscheme/libmzgc.a mred.o mredx.o wxGC.o wxJPEG.o wxs/libwxscheme.a wxme/libwxme.a ../wxxt/src/libwx_xt.a ../wxxt/contrib/xpm/lib/libXpm.a ../wxxt/utils/image/src/libimage_xt.a  ../wxcommon/jpeg/libjpeg.a -lSM -lICE -lXaw -lXmu -lXt -lX11 -lXext  -lGL -ldl -lm  -rdynamic  
> make[3]: Leaving directory `/build/buildd/drscheme-202.3/src/mred'
> make[2]: Leaving directory `/build/buildd/drscheme-202.3/src/mred'
> make[1]: Leaving directory `/build/buildd/drscheme-202.3/src'
> cd src/srpersist; make -f ../../debian/Makefile.srpersist install
> make[1]: Entering directory `/build/buildd/drscheme-202.3/src/srpersist'
> gcc  -g -DODBCVER=0x0351 -DHAVE_CHAR -DHAVE_LPWSTR -DHAVE_WCHAR -DNO_SQLUCODE -I. -I../../include -I/usr/include -c srpersist.cxx
> gcc  -g -DODBCVER=0x0351 -DHAVE_CHAR -DHAVE_LPWSTR -DHAVE_WCHAR -DNO_SQLUCODE -I. -I../../include -I/usr/include -c srpbuffer.cxx
> gcc  -g -DODBCVER=0x0351 -DHAVE_CHAR -DHAVE_LPWSTR -DHAVE_WCHAR -DNO_SQLUCODE -I. -I../../include -I/usr/include -c srptypes.cxx
> /usr/bin/mzc  --ld srpmain.so srpersist.o srpbuffer.o srptypes.o -L/usr/lib/odbc \
>   -liodbc
> make[1]: /usr/bin/mzc: Command not found
> make[1]: *** [srpmain.so] Error 127
> make[1]: Leaving directory `/build/buildd/drscheme-202.3/src/srpersist'
> make: *** [build-stamp] Error 2

A full build log can be found at:
http://buildd.debian.org/build.php?arch=powerpc&pkg=drscheme&ver=202.3-1

drscheme needs to build-depend on mzscheme for /usr/bin/mzc.  It may also be
possible to use gcc instead of mzc for linking in this build.



Reply sent to bfulgham@debian.org (Brent A. Fulgham):
You have taken responsibility. Full text and rfc822 format available.

Notification sent to rmurray@cyberhqz.com (Ryan Murray):
Bug acknowledged by developer. Full text and rfc822 format available.

Message #10 received at 161985-close@bugs.debian.org (full text, mbox):

From: bfulgham@debian.org (Brent A. Fulgham)
To: 161985-close@bugs.debian.org
Subject: Bug#161985: fixed in drscheme 202.3-2
Date: Sun, 29 Sep 2002 03:02:13 -0400
We believe that the bug you reported is fixed in the latest version of
drscheme, which is due to be installed in the Debian FTP archive:

drscheme_202.3-2.diff.gz
  to pool/main/d/drscheme/drscheme_202.3-2.diff.gz
drscheme_202.3-2.dsc
  to pool/main/d/drscheme/drscheme_202.3-2.dsc
drscheme_202.3-2_i386.deb
  to pool/main/d/drscheme/drscheme_202.3-2_i386.deb
mzscheme_202.3-2_i386.deb
  to pool/main/d/drscheme/mzscheme_202.3-2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 161985@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Brent A. Fulgham <bfulgham@debian.org> (supplier of updated drscheme package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----

Format: 1.7
Date: Sat, 28 Sep 2002 21:43:51 -0700
Source: drscheme
Binary: drscheme mzscheme
Architecture: source i386
Version: 202.3-2
Distribution: unstable
Urgency: low
Maintainer: Brent A. Fulgham <bfulgham@debian.org>
Changed-By: Brent A. Fulgham <bfulgham@debian.org>
Description: 
 drscheme   - Scheme Programming Environment
 mzscheme   - Rice University PLT Scheme Interpreter
Closes: 100705 147940 161985
Changes: 
 drscheme (202.3-2) unstable; urgency=low
 .
   * Correct building errors for srpersist, so that entire package can be
     built from within the main source tree.  (Closes:Bug#161985)
   * Add some hacks by MJ Ray to (hopefully) support SLIB a bit better.
     We now incorporate the proper SLIB path, and regenerate the slibcat
     file on MzScheme configuration.  (Closes:Bug#100705)
     (Closes:Bug#147940)
Files: 
 2b280294b22f7f8fa27057f29e453f59 826 interpreters optional drscheme_202.3-2.dsc
 5b897020bff42c275d36f23bd4187897 23958 interpreters optional drscheme_202.3-2.diff.gz
 edc5f4340853f44c626cd196f66b99ba 1608332 interpreters optional drscheme_202.3-2_i386.deb
 fa96d1261b70fa31e6e010a31fe2d490 3277234 interpreters optional mzscheme_202.3-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.0 (GNU/Linux)

iQCVAwUBPZacm+gTdu8siSp1AQHvLQP/V0wxfm8fDY2MEUNtWKiLX3y4EFNI9LU2
dmFxqpbVNyfXVfMgWbvfDHrcUteEcRnLwDwR1miFecsU+krKTGOLo3+nCaDCXkYq
MVnJRkUtbyubQiRQlr0Eot4VeEQcc5bBBQJisPqoYPxQ7Dqk2kt0ZoKVspv7myGl
gaUqsjsOde8=
=Bm75
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 13:55:41 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.